%{?nodejs_find_provides_and_requires}

# tests are not working currently
%global enable_tests 0
%global packagename http-proxy

Name:               nodejs-%{packagename}
Version:            1.16.2
Release:            1%{?dist}
Summary:            A full-featured http proxy for node.js

License:            MIT
URL:                https://github.com/nodejitsu/node-%{packagename}
Source0:            https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:          noarch
ExclusiveArch:	    %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:      npm(semver)
BuildRequires:      npm(mocha)
BuildRequires:      npm(eventemitter3)
BuildRequires:      npm(requires-port)
%endif

%description
node-%{packagename} is an HTTP programmable proxying library that supports
websockets. It is suitable for implementing components such as reverse
proxies and load balancers.

%prep
%autosetup -n package

rm -rf node_modules

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha test/*-test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}/

%changelog
* Mon Apr 17 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.16.2-1
- Initial packaging
